ARCHBUILD(1)

NUME
archbuild - un script pentru a construi un pachet Arch Linux în interiorul unui chroot curat

SINOPSIS

archbuild [opțiuni] — [argumente makechrootpkg]

DESCRIERE

archbuild este un script pentru a construi un pachet Arch Linux. archbuild face parte din devtools, dar ar trebui utilizat numai prin intermediul uneia dintre legăturile simbolice incluse:

    • extra-x86_64-build

    • gnome-unstable-x86_64-build

    • kde-unstable-x86_64-build

    • multilib-build

    • multilib-staging-build

    • multilib-testing-build

    • staging-x86_64-build

    • testing-x86_64-build

Legătura simbolică utilizată pentru a-l rula va fi inspectată de archbuild, pentru a determina ce țintă doriți să utilizeze. Se va încărca configurația pacman disponibilă din reponame-arch.conf cu o revenire la reponame.conf din /usr/share/devtools/pacman.conf.d. Configurația makepkg este încărcată din repo-arch.conf cu o revenire la reponame.conf din /usr/share/devtools/makepkg.conf.d.

De asemenea, va încărca configurația montare asociată (bind mount) din mount.d/arch în „/usr/share/devtools”. Formatul fișierului este următorul: fiecare linie care începe cu ro sau rw va fi utilizată, celelalte linii vor fi ignorate, iar restul liniei utilizate este out/ruta:in/ruta precedată de un spațiu ca separator. ro înseamnă că este o montare de tip numai-citire, rw înseamnă o montare de tip citire-scriere.

OPȚIUNI

-h
    Afișează opțiunile liniei de comandă.

-c
    Recreează chroot-ul înainte de construire.

-r <director>
    Creează chroot-uri în acest director.

CONSULTAȚI ȘI

devtools(7)

PAGINA WEB PRINCIPALĂ

Vă rugăm să raportați erorile și solicitările de caracteristici în sistemul de urmărire a problemelor. Vă rugăm să faceți tot posibilul pentru a furniza un caz de testare reproductibil pentru erori.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.